# CUDA Python 11.5.0 Release notes

Released on October 18, 2021

## Hightlights
- PyPi support
- Conda support
- GA release for CUDA Python
- Supports all platforms that CUDA is supported
- Supports all CUDA 11.x releases
- Low-level CUDA Cython bindings and Python wrappers

## Limitations

- Changing default stream not supported; coming in future release

### CUDA Functions Not Supported in this Release

- cudaGetTextureReference
- cudaGetSurfaceReference
- cudaBindTexture
- cudaBindTexture2D
- cudaBindTextureToArray
- cudaBindTextureToMipmappedArray
- cudaLaunchKernel
- cudaLaunchCooperativeKernel
- cudaLaunchCooperativeKernelMultiDevice
- cudaMemcpyToSymbol
- cudaMemcpyFromSymbol
- cudaMemcpyToSymbolAsync
- cudaMemcpyFromSymbolAsync
- cudaGetSymbolAddress
- cudaGetSymbolSize
- cudaUnbindTexture
- cudaGetTextureAlignmentOffset
- cudaBindSurfaceToArray
- cudaGetFuncBySymbol
- cudaSetValidDevices
- cudaGraphExecMemcpyNodeSetParamsFromSymbol
- cudaGraphExecMemcpyNodeSetParamsToSymbol
- cudaGraphAddMemcpyNodeToSymbol
- cudaGraphAddMemcpyNodeFromSymbol
- cudaGraphMemcpyNodeSetParamsToSymbol
- cudaGraphMemcpyNodeSetParamsFromSymbol
- cudaProfilerInitialize
- cudaProfilerStart
- cudaProfilerStop
- cuProfilerInitialize
- cuProfilerStart
- cuProfilerStop
- EGL
    - cuGraphicsEGLRegisterImage
    - cuEGLStreamConsumerConnect
    - cuEGLStreamConsumerConnectWithFlags
    - cuEGLStreamConsumerDisconnect
    - cuEGLStreamConsumerAcquireFrame
    - cuEGLStreamConsumerReleaseFrame
    - cuEGLStreamProducerConnect
    - cuEGLStreamProducerDisconnect
    - cuEGLStreamProducerPresentFrame
    - cuEGLStreamProducerReturnFrame
    - cuGraphicsResourceGetMappedEglFrame
    - cuEventCreateFromEGLSync
    - cudaGraphicsEGLRegisterImage
    - cudaEGLStreamConsumerConnect
    - cudaEGLStreamConsumerConnectWithFlags
    - cudaEGLStreamConsumerDisconnect
    - cudaEGLStreamConsumerAcquireFrame
    - cudaEGLStreamConsumerReleaseFrame
    - cudaEGLStreamProducerConnect
    - cudaEGLStreamProducerDisconnect
    - cudaEGLStreamProducerPresentFrame
    - cudaEGLStreamProducerReturnFrame
    - cudaGraphicsResourceGetMappedEglFrame
    - cudaEventCreateFromEGLSync
- GL
    - cuGraphicsGLRegisterBuffer
    - cuGraphicsGLRegisterImage
    - cuWGLGetDevice
    - cuGLGetDevices
    - cuGLCtxCreate
    - cuGLInit
    - cuGLRegisterBufferObject
    - cuGLMapBufferObject
    - cuGLUnmapBufferObject
    - cuGLUnregisterBufferObject
    - cuGLSetBufferObjectMapFlags
    - cuGLMapBufferObjectAsync
    - cuGLUnmapBufferObjectAsync
    - cudaGLGetDevices
    - cudaGraphicsGLRegisterImage
    - cudaGraphicsGLRegisterBuffer
    - cudaWGLGetDevice
    - cudaGLSetGLDevice
    - cudaGLRegisterBufferObject
    - cudaGLMapBufferObject
    - cudaGLUnmapBufferObject
    - cudaGLUnregisterBufferObject
    - cudaGLSetBufferObjectMapFlags
    - cudaGLMapBufferObjectAsync
    - cudaGLUnmapBufferObjectAsync
- VDPAU
    - cuVDPAUGetDevice
    - cuVDPAUCtxCreate
    - cuGraphicsVDPAURegisterVideoSurface
    - cuGraphicsVDPAURegisterOutputSurface
    - cudaVDPAUGetDevice
    - cudaVDPAUSetVDPAUDevice
    - cudaGraphicsVDPAURegisterVideoSurface
    - cudaGraphicsVDPAURegisterOutputSurface
